![Swarmauri Logo](https://res.cloudinary.com/dbjmpekvl/image/upload/v1730099724/Swarmauri-logo-lockup-2048x757_hww01w.png)

<div align="center">

![PyPI - Downloads](https://img.shields.io/pypi/dm/swarmauri_tool_entityrecognition)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/swarmauri_tool_entityrecognition)
![PyPI - License](https://img.shields.io/pypi/l/swarmauri_tool_entityrecognition)
![PyPI - Version](https://img.shields.io/pypi/v/swarmauri_tool_entityrecognition?label=swarmauri_tool_entityrecognition&color=green)

</div>

---

# Entity Recognition Tool

A Swarmauri tool that extracts named entities from text using a pre-trained NLP model.

## Installation

```bash
pip install swarmauri_tool_entityrecognition
```

## Usage

Here's a basic example of how to use the Entity Recognition Tool:

```python
from swarmauri.tools.EntityRecognitionTool import EntityRecognitionTool

# Initialize the tool
tool = EntityRecognitionTool()

# Example text for entity recognition
text = "Apple Inc. is an American multinational technology company."

# Get entities from the text
result = tool(text=text)

# The result will contain entities in JSON format
# Example output: {"I-ORG": ["Apple", "Inc"], "I-MISC": ["American"]}
print(result["entities"])
```

## Want to help?

If you want to contribute to swarmauri-sdk, read up on our [guidelines for contributing](https://github.com/swarmauri/swarmauri-sdk/blob/master/contributing.md) that will help you get started.
